# Trio-Whole-Exome pipeline

This is an automated version of the scripts currently run manually according to SOP as part of the whole exome trios project with David Fitzpatrick's group. This pipeline is controlled by [NextFlow](https://www.nextflow.io/)


## Setup

A [Conda](https://docs.conda.io) environment containing NextFlow is available in `environment.yaml`. Once you have Conda installed, you can create an environment by `cd`-ing into this project and running the command:

    $ conda env create -n <environment_name>

## Tests

This pipeline has automated tests contained in the folder `tests/`. To the run the tests locally, `cd` to this folder with your Conda environment active and run `./run_tests.sh`.


## Terminology

- Batch: slightly ambiguous, could be a pipeline batch, a sequencing batch or a BCBio batch
  - Pipeline batch: a single run of this pipeline, potentially mixing samples and fmailies from multiple seq batches
  - Sequencing batch: a group of samples that were prepared and sequenced together
  - BCBio batch: used internally by BCBio to identify a family
- Sample ID: specific to a sequencing batch, family ID, individual ID and extraction kit type
- file_list.tsv: there's one of these files per sequencing batch, summarising all fastqs in the batch. A
  pipeline batch may need to refer to multiple different individuals across different file lists.
- Ped file: defines family relationships between individuals. There's always one Ped file per pipeline batch.
- Sample sheet: links the Ped file and file list(s) by defining what raw fastqs belong to each individual.
